## GODataMatrix

GODataMatrix

## Functions

int | go_data_matrix_get_columns ()
PangoAttrList * | go_data_matrix_get_markup ()
void | go_data_matrix_get_minmax ()
int | go_data_matrix_get_rows ()
GODataMatrixSize | go_data_matrix_get_size ()
char * | go_data_matrix_get_str ()
double | go_data_matrix_get_value ()
double * | go_data_matrix_get_values ()

## Types and Values

| GODataMatrix

## Object Hierarchy

        GObject
        ╰── GOData
            ╰── GODataMatrix
                ╰── GODataMatrixVal

## Description

## Functions

### go_data_matrix_get_columns ()

    int
    go_data_matrix_get_columns (GODataMatrix *mat);

### go_data_matrix_get_markup ()

    PangoAttrList *
    go_data_matrix_get_markup (GODataMatrix *mat,
                               unsigned  i,
                               unsigned  j);

### go_data_matrix_get_minmax ()

    void
    go_data_matrix_get_minmax (GODataMatrix *mat,
                               double *min,
                               double *max);

### go_data_matrix_get_rows ()

    int
    go_data_matrix_get_rows (GODataMatrix *mat);

### go_data_matrix_get_size ()

    GODataMatrixSize
    go_data_matrix_get_size (GODataMatrix *mat);

[skip]

#### Parameters

mat | GODataMatrix |

#### Returns

the matrix size

### go_data_matrix_get_str ()

    char *
    go_data_matrix_get_str (GODataMatrix *mat,
                            unsigned  i,
                            unsigned  j);

### go_data_matrix_get_value ()

    double
    go_data_matrix_get_value (GODataMatrix *mat,
                              unsigned  i,
                              unsigned  j);

### go_data_matrix_get_values ()

    double *
    go_data_matrix_get_values (GODataMatrix *mat);

## Types and Values

### GODataMatrix

    typedef struct _GODataMatrix GODataMatrix;